import Panel from "../views/Panel";
export default class Alert extends Panel {

    set message(val) {

    }
    set btnTxt(val) {

    }

    start(data) {
        const { message, btnTxt } = data;
        this.data.message = message;
        this.data.btnTxt = btnTxt || '确定';
    }

    protected get skinKey() { return 'Alert' }

    protected get closeBtns(): eui.Button[] {
        return [this['closeBtn'], this['confirmBtn']]
    }
}